# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Document::HitDoc - A document read from an index.

=head1 SYNOPSIS

    while ( my $hit_doc = $hits->next ) {
        print "$hit_doc->{title}\n";
        print $hit_doc->get_score . "\n";
        ...
    }



=head1 DESCRIPTION

HitDoc is the search-time relative of the index-time class Doc; it is
augmented by a numeric score attribute that Doc doesn't have.





=head1 METHODS

=head2 set_score(score)

Set score attribute.

=head2 get_score()

Get score attribute.



=head1 INHERITANCE

Lucy::Document::HitDoc isa L<Lucy::Document::Doc> isa L<Lucy::Object::Obj>.


=cut

